Bug 118279 - ls -l columns no longer fixed-width
ls -l columns no longer fixed-width
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-14 20:51 EST by Rich Lafferty
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-15 04:14:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rich Lafferty 2004-03-14 20:51:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
The column widths in "ls -l" have begun to resize dynamically in
the last coreutils.

With coreutils-5.0-24:

$ ls -l / | head -2
total 192
drwxr-xr-x    2 root     root         4096 Feb 19 18:09 bin
$ ls -l /etc | head -2
total 2972
-rw-r--r--    1 root     root        15228 Oct 17 12:18 a2ps.cfg

With coreutils-5.0-34.1:

$ ls -l / | head -2
total 209
drwxr-xr-x   2 root root   4096 Mar 14 20:44 bin

$ls -l /etc | head -2
total 2740
-rw-r--r--   1 root root   15228 Oct 17 12:18 a2ps.cfg

All cramped up, and column width changing depending on what's in the
directory. That's the first time I've ever seen an 'ls' do that, and
'ls' is a place I'd expect inter-Unix similarity to be good. (I also
find it a lot harder to read.)

I can't tell if this was intentional or not. I hope it wasn't. :-)

Version-Release number of selected component (if applicable):
coreutils-5.0-34.1

How reproducible:
Always
Comment 1 Bart Martens 2004-03-15 01:09:52 EST
From the spec-file:

----------
* Wed Mar  3 2004 Tim Waugh <twaugh@redhat.com> 5.0-34.1
- Build for Fedora Core 1.
                                                                     
                                                                    
* Thu Dec  4 2003 Tim Waugh <twaugh@redhat.com> 5.0-34.sel
- Fix column widths problems in ls.
----------

I get the same output here with coreutils-5.0-34.1.

I think that the output is quite acceptable. I think it's a good idea
to change the width of the columns depending on the width of the
values in the columns.

OK, there may be some discussion on the output of "ls -l / /etc".
Comment 2 Tim Waugh 2004-03-15 04:14:34 EST
Intentional.

Note You need to log in before you can comment on or make changes to this bug.